Paperspace setup help


(Spandan) #518

Can someone post a referral code to Paperspace setup ?


(SJH) #519

you’re welcome to use mine if you are still looking: https://www.paperspace.com/&R=6ZEQ7KV


(Vassily Baranov) #520

Here’s another promocode to use: 87DPSUV


(zscore) #521

Can anyone share an estimate of how much have you spent on Paperspace in past few months? I am trying to approximate how much it will cost monthly.


#522

I’m using the Gradient version of the fast.ai template. I’ve used maybe 10 hours total @ US$0.78 per hour. So, not much.

I’m more than halfway through the fourth video, but I only spin one up when I actually want to re-create something from the lessons. That is, I don’t have one running the entire time I watch the videos.

So far, the hardest part has been not having access to a console, which means I need to add Python modules through a Jupyter notebook. After reading this thread, it seems this is a better ‘problem’ to have than the headaches created by provisioning an actual machine.


(Surag Gupta) #523

I have setup paperspace using directions from https://github.com/reshamas/fastai_deeplearn_part1/blob/master/tools/paperspace.md, but when I tried launching Jupyter notebook using jupyter notebook, I am getting the below error:

(fastai) paperspace@pstiuvxek:~/fastai$ jupyter notebook
[I 23:53:44.834 NotebookApp] Writing notebook server cookie secret to /run/user/1000/jupyter/notebook_cookie_secret
Traceback (most recent call last):
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/traitlets/traitlets.py", line 528, in get
    value = obj._trait_values[self.name]
KeyError: 'allow_remote_access'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 869, in _default_allow_remote
    addr = ipaddress.ip_address(self.ip)
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/ipaddress.py", line 54, in ip_address
    address)
ValueError: '' does not appear to be an IPv4 or IPv6 address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/paperspace/anaconda3/envs/fastai/bin/jupyter-notebook", line 11, in <module>
    sys.exit(main())
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/jupyter_core/application.py", line 266, in launch_instance
    return super(JupyterApp, cls).launch_instance(argv=argv, **kwargs)
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/traitlets/config/application.py", line 657, in launch_instance
    app.initialize(argv)
  File "<decorator-gen-7>", line 2, in initialize
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/traitlets/config/application.py", line 87, in catch_config_error
    return method(app, *args, **kwargs)
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 1629, in initialize
    self.init_webapp()
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 1379, in init_webapp
    self.jinja_environment_options,
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 158, in __init__
    default_url, settings_overrides, jinja_env_options)
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 251, in init_settings
    allow_remote_access=jupyter_app.allow_remote_access,
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/traitlets/traitlets.py", line 556, in __get__
    return self.get(obj, cls)
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/traitlets/traitlets.py", line 535, in get
    value = self._validate(obj, dynamic_default())
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/notebook/notebookapp.py", line 872, in _default_allow_remote
    for info in socket.getaddrinfo(self.ip, self.port, 0, socket.SOCK_STREAM):
  File "/home/paperspace/anaconda3/envs/fastai/lib/python3.6/socket.py", line 745, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

Could someone help with this?

Thanks,
Surag


(Bhuvana Kundumani) #524

Hey have u fixed this error. I am having the same issue.

thanks


(Yifan Jiang) #525

Hi,I have the same problem. May I ask whether you have find the reason and solution? Thank you!


(Jeff Hemminger) #526

The solution described here worked for me.


#527

Never mind about lacking a console. On the browser tab showing the directory, the user can choose ‘New’ and then ‘Console’. I just needed to white list the website, i.e., localhost:88xx or whatever.


(Todd Richard Johnson) #528

Yikes! I set up a paperspace account and created the suggested machine using the fastai template tonight. Got the email an hour and a half ago that it was ready, but have spent most of that time with the machine crashing and spinning its wheel trying to start up. With considerable time and effort I can get it to run, launch jupyter notebook and execute a few cells, then I lose the connection, then the machine locks up, and its back to the game of trying to restart the machine.

I’ll try again tomorrow, but paperspace is not looking like a service that should be recommended.


#529

Hmmm…I’ve had a completely different experience. Quite reliable, actually. Paperspace runs out of P5000, so I end up on a GPU+, but it doesn’t crash, etc.

FWIW, I connect to their east coast servers and use the Gradient / fastai template.


(Todd Richard Johnson) #530

It sounds like the Gradient approach works better than the VM approach. I may try that if the VM remains unstable. I tried the clouderizer to collab approach last night, but after 20 minutes loading packages for one notebook into collab, I got an error. The notebook never ran.


#531

I’ve been using colab, too, but not with clouderizer. The plain-vanilla notebooks it creates have numpy, pandas, sklearn, matplotlib and display (for IPython.display) modules available by default. If you use one, you will need to install fastai, but 20 minutes seems excessive. Mine’s been more like 5 at the most. I used
!{sys.executable} -m pip install fastai.

And as mentioned, colab uses K80 GPUs, so calculations are s-l-o-w. It is free, though.

Also, if you use Gradient: if you restart a notebook, it won’t know where to look for fastai. You will need to add the code below to use the fastai functions.

import sys
sys.path.append('../../')

#532

Never mind about being s-l-o-w. Apparently, we can use Google’s TPUs now.

The picture shows an arrow pointing to the ‘Connect’ button, but the setting to change to a TPU can be found under Edit>Notebook Settings>Hardware Accelerator


(Todd Richard Johnson) #533

I was able to get the first lesson working on Google Collab, up to the point of needing the data files. It took several minutes to load all the fastai packages. Then when I got to the point of needing the data files and saw what it took to link to Google Docs, I decided it wasn’t worth using collab. Collab also disconnects after a short time. I have limited time that I’d rather spend getting work done than working around Collab’s limitations. Still, if you have the time and can’t afford another solution, Collab can work.

I also tried a Paperspace gradient notebook. This seems easier at least initially, but its not clear to me how to update from the repo or get other data into the notebook. The fact that you can launch the same notebook on a cheap non-GPU machine is also nice. I’d say this is a viable approach, assuming you can get new data loaded and update the fastai material. One issue, at least for me, is that when I picked east coast, it only allowed me to use a higher cost GPU. However, the training took quite a bit of time with that machine, so the better machine is probably the right choice.

Today I will try using SSH to the Paperspace Machine. I think I’d be most comfortable with a traditional unix command line and file system–that’s what I’m used to when running Jupyter on my local machine. As long as it works, I’d rather pay $.51/hour than spend hours on workarounds.

Not sure how many are using local eGPUs for the courses. I have a Titan XP in an eGPU enclosure on Mac. I got this courtesy of the NVIDIA GPU grant program for research I’m doing that doesn’t suffer from the low external data transfer rates (all the data is transferred, a long GPU computation runs and then only a few results are returned). However, it can be slow if there are frequent data transfers between the eGPU and the Mac. It is also a constant struggle to keep patching the Mac to access the eGPU, since apple doesn’t support NVIDIA eGPUs natively.


(Todd Richard Johnson) #534

Another update. Following the instructions here:

I was able to ssh into my Paperspace machine using ssh paperspace from my local machine. I could then launch Jupyter notebook on the paperspace machine and connect to it locally using http://localhost:8888/

However, the notebook server shows my local files, not the paperspace machine files. Any suggestions for how to fix this?

Also, how can I avoid a new token every time I want to connect to the remote server?


(Todd Richard Johnson) #535

Apparently, when I had a local Jupyter Notebook server running that was preventing me from accessing the remote server. I thought I had that shutdown, but after rebooting I was able to connect to Jupyter on the remote machine and see the remote filespace.

Also, so far using SSH and connecting as per the instructions in the link above, I’ve not had the remote paperspace machine freeze. As others have noted, the paperspaces web terminal seems to be the issue. My advice for using paperspace machines is to start them up without trying to start the web terminal: Log in to your account and then click Core, Compute, Machines from the left menu, then switch the view of your machines to the list view by clicking the faint lines to the right of Machine at the bottom of this image:

image

Now you can click on the machine name and click the Restart button. This will start your machine without trying to launch the terminal in your browser. After that SSH to your machine, launch Jupyter Notebook, and connect from your local web browser.


(Todd Richard Johnson) #536

I spoke too soon, my Paperspace machine shut itself down part way through training. I tried running locally on my Mac only to discover the missing cuda90 issue. Now I’m off to look for another platform to run the notebooks on. I feel like I’m playing Whac-a-Mole and the moles are winning :wink:


(Amy Y) #537

I had a similar experience, and was only partially reimbursed for the 64 hours the machine was running before I found out and shut it down. Comments on the thread here led me to believe it might take hours to provision the server, and nothing in the setup or the email I received from Paperspace mentioned that the server would be automatically turned on after provisioning and that the hourly billing would begin. So much for the “free” class in Deep Learning. Very disappointing.